#ifndef _grammar_api_H
#define _grammar_api_H

class grammar_api
{
	public:
		
		// Constructor
		explicit grammar_api(const std::string filename);
		
		// Destructor
		~grammar_api();
			
		void printGrammar()  const;
	
	private:
		
		// Context-free grammar
		void* cfg;
		
		friend class cfgc_api;
};

#endif
